Subject: 24.4; OS X losing track of file dirty state
From: Gaute Hvoslef Kvalnes <[email-masked]>
To: [email-masked]
Date: Wed, 29 Oct 2014 10:46:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Emacs' own "modification state" (indicated with asterisks in the mode
line) is out of sync with the OS X "dirty state" (indicated with a dot 
in the close button and a greyed-out file icon in the title bar).

This worked reliably before I upgraded to 24.4.

Sometimes, I press C-x s, and the dirty state remains. Switching to
another buffer and back fixes it. Or just M-x C-g.

Sometimes, I can edit a buffer without triggering dirty state. The same
tricks will "fix" it. M-x C-g.

I haven't explored precisely what triggers the bug. It happens frequently. Let me know if you cannot reproduce it, and I'll provide more details.

This is on OS X 10.6. Tested by running 
/Applications/Emacs.app/Contents/MacOS/Emacs -q

In GNU Emacs 24.4.1 (i686-apple-darwin, NS apple-appkit-1038.36)
of 2014-10-21 on builder10-6.porkrind.org
Windowing system distributor `Apple', version 10.3.1038
Configured using:
`configure --with-ns --host=i686-apple-darwin --build=i686-apple-darwin
--with-jpeg=no --with-png=no --with-gif=no --with-tiff=no'

Important settings:
  value of $LC_CTYPE: UTF-8
  locale-coding-system: utf-8-unix

Major mode: Text

Minor modes in effect:
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> C-x C-f d e <tab> s k <tab> g i t <tab> 
<backspace> <backspace> <backspace> m b / g r e y <tab> 
<return> SPC SPC SPC SPC <return> <return> <return> 
<return> <backspace> <backspace> <backspace> <backspace> 
C-x b C-g s-x M-x r e p o <tab> r t <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list...
Quit
kill-region: The mark is not set now, so there is no region
Making completion list...

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
help-fns mail-prsvr mail-utils help-mode easymenu time-date tooltip
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel ns-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
cocoa ns multi-tty emacs)

Memory information:
((conses 8 72631 5057)
(symbols 24 17308 0)
(miscs 20 86 222)
(strings 16 9226 3815)
(string-bytes 1 259136)
(vectors 8 9129)
(vector-slots 4 378690 5296)
(floats 8 53 304)
(intervals 28 231 16)
(buffers 512 14))